!set title=Matriz 2x2 con parámetros
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r
varcnt=17
prevarcnt=16
postvarcnt=0
replycnt=2
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=tex

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(8)]
tmp0=!randint -$val6, $val6

val7=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val8=$[rint($(tmp0))]
tmp0=!randint 1, $val6

tmp1=!randitem -1,1

val9=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint -$val6, $val6

val10=$[rint($(tmp0))]
val11=$[rint(-($val7)-($val10))]
val12=$[rint(($val7)*($val10)-($val8)*($val9))]

!ifval $val11>=0
val13=+$val11
!else
val13=$val11
!endif

!ifval $val12>=0
val14=+$val12
!else
val14=$val12
!endif

!ifval $val11=0
val15=
!else
val15=$val13 A
!endif

!ifval $val12=0
val16=
!else
val16=$val14 I_2
!endif
tmp0=!randint 1, 4

val17=$[rint($(tmp0))]

!ifval $val17=1
val18=$val7&s\cr $val9&t
!endif

!ifval $val17=2
val18=$val7&$val9\cr s&t
!endif

!ifval $val17=3
val18=t&$val9\cr s&$val7
!endif

!ifval $val17=4
val18=t&s\cr $val9&$val7
!endif
replyname1=<i>s</i>
replygood1=$val8
replyname2=<i>t</i>
replygood2=$val10
question=!nosubst Encuentra el valor de los parametros &#36;s&#36; y &#36;t&#36; tales que	la matriz	 &#36; A=\pmatrix{$val18} &#36;	verifique &#36; A^2$val15$val16=0&#36;.

!goto stat

!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=15,16,18
embedcnt=0
